@REM This file contains the commands needed to compile and jar the CustomerMgr EJB
@ECHO Compiling and packaging CustomerMgr EJB...........
@cls


@REM Set the variable homedir to the directory that contains jboss and IS7
@SET homedrive=M:
@SET homedir=M:\jdb042

@REM Go to the directory
@%homedrive%
@cd %homedir%
@cd %homedir%

@REM Remove the old CustomerMgr.jar file
del CustomerMgr.jar

@REM Compile all the java files in the IS7.bookdb package (the CustomerMgr EJB)
@REM using the ejb3x.jar and jboss-j2ee.jar (contains the necessary EJB classes) in the classpath 
javac IS7\bookdb\Customer.java 
javac IS7\bookdb\customermgr\*.java -classpath .;%homedir%\jboss\server\default\lib\jboss-ejb3x.jar;%homedir%\jboss\server\default\lib\jboss-j2ee.jar

@REM Add class files to CustomerMgrJAR.jar
jar cMvf CustomerMgr.jar IS7\bookdb\Customer.class IS7\bookdb\customermgr\*.class

@REM create interface jar CustomerMgrInterface.jar for the client
jar cMvf CustomerMgrInterface.jar IS7\bookdb\Customer.class IS7\bookdb\customermgr\CustomerMgr.class IS7\bookdb\customermgr\CustomerMgrException.class

@REM Copy CustomerMgr.jar to JBoss server for deployment 
copy CustomerMgr.jar %homedir%\jboss\server\default\deploy

pause